[Mailman-Users] mailman install problem - Solaris

Mark Sapiro msapiro at value.net
Tue Jan 23 23:59:02 CET 2007

Piniella, David A wrote:
>No dice, I tried that with gcc and yacc. Is there any way to just avoid
>the Japanese and Korean codecs packages' compilation, or to skip them
>entirely? I don't really need to host any lists in Japanese or Korean
>(or do these packages do something else?)

This too is really tricky. See yesterday's take on this in the thread

There is some issue which seems to affect some combination of Solaris
release > 8 and some versions of Python's distutils module and
probably the specific configuration of the Solaris machine that
impacts the installation of the C modules in the KoreanCodecs package.

You can't just eliminate the Korean codecs because it causes problems
for the email package. If your Python is 2.4 or later however, there
are Korean codecs in Python so you don't need the package in Mailman's
pythonlib. If you have an earlier Python, installing CJKCodecs
<http://cjkpython.i18n.org> might eliminate the need for the Korean
and Japanese codecs in Mailman's pythonlib.

Mark Sapiro <msapiro at value.net>       The highway is for gamblers,
San Francisco Bay Area, California    better use your sense - B. Dylan

More information about the Mailman-Users mailing list